<?php

/**
* The plugin bootstrap file
*
* This file is read by WordPress to generate the plugin information in the plugin
* admin area. This file also includes all of the dependencies used by the plugin,
* registers the activation and deactivation functions, and defines a function
* that starts the plugin.
*
* @link              #
* @since             1.5.0
* @package           ClickDesigns
*
* @wordpress-plugin
* Plugin Name:       ClickDesigns
* Plugin URI:        https://clickdesigns.com/wp/
* Description:       Get Stunning Logos, Boxshots, Covers, Reports, Digital Mockups, Product Bundles, Graphics & Illustrations For Your Webpages, Blogs & Sales Funnels Without a Designer.
* Version:           1.5.0
* Author:            ClickDesigns
* Author URI:        https://clickdesigns.com/
* License:           GPL-2.0+
* License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
* Text Domain:       clickdesigns
* Domain Path:       /languages
*/

/** 
* If this file is called directly, abort.
*/
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
* Currently plugin version.
*/
define( 'CLICKDESIGNS_VERSION', '1.5.0' );

define('CLICKDESIGNS_PLUGIN_PATH', dirname(__FILE__));
define('CLICKDESIGNS_PLUGIN_URL', plugins_url('', __FILE__));

/**
* The code that runs during plugin activation. * This action is documented in includes/class-test-activator.php
*/
function ClickDesigns_Activator() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/clickdesigns-class-activator.php';
	ClickDesigns_Activator::activate();
}

/**
* The code that runs during plugin deactivation.
* This action is documented in includes/class-test-deactivator.php
*/
function ClickDesigns_Deactivator() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/clickdesigns-class-deactivator.php';
	ClickDesigns_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'ClickDesigns_Activator' );
register_deactivation_hook( __FILE__, 'ClickDesigns_Deactivator' );

require plugin_dir_path( __FILE__ ) . 'includes/clickdesigns-ajax.php';
require plugin_dir_path( __FILE__ ) . 'includes/clickdesigns-function.php';